libunique-dev_1.1.6-5_amd64.deb


Advertisement

Description

libunique-dev - Library for writing single instance applications - development files

Property Value
Distribution Debian 8 (Jessie)
Repository Debian Main amd64
Package name libunique-dev
Package version 1.1.6
Package release 5
Package architecture amd64
Package type deb
Installed size 137 B
Download size 46.00 KB
Official Mirror ftp.br.debian.org
Unique is a library for writing single instance application.
If you launch a single instance application twice, the second
instance will either just quit or will send a message to the
running instance.
Unique makes it easy to write this kind of applications, by
providing a base class, taking care of all the IPC machinery
needed to send messages to a running instance, and also handling
the startup notification side.
This package contains the headers and development libraries needed to
build applications using the Unique library

Alternatives

Package Version Architecture Repository
libunique-dev_1.1.6-5_i386.deb 1.1.6 i386 Debian Main
libunique-dev - - -

Requires

Name Value
libglib2.0-dev >= 2.12.0
libgtk2.0-dev >= 2.11.0
libunique-1.0-0 = 1.1.6-5

Replaces

Name Value
gir-repository-dev <= 0.6.5-2

Download

Type URL
Binary Package libunique-dev_1.1.6-5_amd64.deb
Source Package libunique

Install Howto

  1. Update the package index:
    # sudo apt-get update
  2. Install libunique-dev deb package:
    # sudo apt-get install libunique-dev

Files

Path
/usr/include/unique-1.0/unique/unique.h
/usr/include/unique-1.0/unique/uniqueapp.h
/usr/include/unique-1.0/unique/uniquebackend.h
/usr/include/unique-1.0/unique/uniqueenumtypes.h
/usr/include/unique-1.0/unique/uniquemessage.h
/usr/include/unique-1.0/unique/uniqueversion.h
/usr/lib/libunique-1.0.a
/usr/lib/libunique-1.0.so
/usr/lib/pkgconfig/unique-1.0.pc
/usr/share/doc/libunique-dev/AUTHORS
/usr/share/doc/libunique-dev/NEWS.gz
/usr/share/doc/libunique-dev/README
/usr/share/doc/libunique-dev/changelog.Debian.gz
/usr/share/doc/libunique-dev/changelog.gz
/usr/share/doc/libunique-dev/copyright

Changelog

2014-09-09 - Andreas Henriksson <andreas@fatal.se>
libunique (1.1.6-5) unstable; urgency=low
[ Josselin Mouette ]
* Update repository URL.
[ Breno Leitao ]
* Use autoreconf.mk and build-depend on dh-autoreconf (Closes: #753343)
2011-11-17 - Martin Pitt <mpitt@debian.org>
libunique (1.1.6-4) unstable; urgency=low
* Add 00git_g_const_return.patch: Drop usage of G_CONST_RETURN, to fix
building with current glib versions. Backported from current 3.x release.
2011-10-27 - Michael Biebl <biebl@debian.org>
libunique (1.1.6-3) unstable; urgency=low
* Switch to dpkg source format 3.0 (quilt).
* Bump debhelper compatibility level to 8.
- Update Build-Depends on debhelper.
- Strip debian/tmp/ from .install files.
* debian/control.in:
- Bump Standards-Version to 3.9.2. No further changes.
- Add Vcs-* fields.
* debian/rules:
- Disable -Werror. Closes: #625376
* debian/patches/01_format-security.patch:
- Fix build failures with -Werror=format-security.
2011-02-16 - Emilio Pozuelo Monfort <pochu@debian.org>
libunique (1.1.6-2) unstable; urgency=low
* Remove gir1.0-unique-1.0 to ease the gir1.2 transition.
2010-09-11 - Philipp Kern <pkern@debian.org>
libunique (1.1.6-1.1) unstable; urgency=medium
* Non-maintainer upload.
* Depend on both dbus and dbus-x11 which are required by libunique
unconditionally when using the dbus backend (compile-time setting).
(Closes: #497401, #595480, #595480)
* Correct upstream source location in `debian/copyright'.
(Closes: #574352)
2009-11-12 - Emilio Pozuelo Monfort <pochu@debian.org>
libunique (1.1.6-1) unstable; urgency=low
* New upstream release.
2009-11-11 - Josselin Mouette <joss@debian.org>
libunique (1.1.2-3) unstable; urgency=low
* Move gir1.0-unique-1.0 from the gir-repository source package.
Closes: #552812.
* Move the .gir to libunique-dev, add corresponding Replaces.
2009-09-25 - Emilio Pozuelo Monfort <pochu@debian.org>
libunique (1.1.2-2) unstable; urgency=low
* Upload to unstable.
- Remove check-dist.mk include.
2009-09-01 - Emilio Pozuelo Monfort <pochu@debian.org>
libunique (1.1.2-1) experimental; urgency=low
* New upstream unstable release.
* debian/watch: Update for the new location.
* Standards-Version is 3.8.3, no changes needed.
* libunique-1.0-0 inherits the section from the source stanza.
* debian/rules: include check-dist.mk to prevent uploads to experimental.
2009-03-22 - Sebastian Dröge <slomo@debian.org>
libunique (1.0.8-1) unstable; urgency=low
* New upstream release.

See Also

Package Description
libunique-doc_1.1.6-5_all.deb Library for writing single instance applications - documentation
libunistring-dev_0.9.3-5.2+b1_amd64.deb Unicode string library for C - development files
libunistring0_0.9.3-5.2+b1_amd64.deb Unicode string library for C
libunittest++-dev_1.4.0-3_amd64.deb unit testing framework for c++, static library and headers
libuniversal-can-perl_1.20140328-1_all.deb safer version of UNIVERSAL::can
libuniversal-exports-perl_0.05-2_all.deb module for lightweight, universal variable exporting
libuniversal-isa-perl_1.20140927-1_all.deb safer version of UNIVERSAL::isa
libuniversal-moniker-perl_0.08-7_all.deb Methods to output nicer names for your Perl modules/classes
libuniversal-require-perl_0.17-1_all.deb Load modules from a variable
libunix-configfile-perl_0.6-1_all.deb Perl interface to various Unix configuration files
libunix-mknod-perl_0.04-1+b3_amd64.deb Perl extension for mknod, major, minor, and makedev
libunix-syslog-perl_1.1-2+b4_amd64.deb Perl interface to the UNIX syslog(3) calls
libunixsocket-java_0.7.3-1_amd64.deb Unix socket API and bindings for Java
libunshield-dev_1.0-1_amd64.deb development files for libunshield
libunshield0_1.0-1_amd64.deb library to extract CAB files from InstallShield installers
Advertisement
Advertisement